# Command: testsuite::test_multimeter_stepping

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    testsuite::test_multimeter_stepping - test if multimeter returns same values for stepped simulation

Synopsis:

    (test_multimeter_stepping.sli) run -> dies if assertion fails

Description:

      The script checks all models providing a "recordables" entry in their
      status dict.  It creates a multimeter, sets it to record from all
      recordables. The neuron receives Poisson input. This is done once for
      a single 50 x MinDelay simulation and once for 50 subsequent MinDelay simulations. The test passes
      if both cases produce identical results.

Author:

    Plesser

FirstVersion:

    2010-10-05

Source:

    /opt/conda/conda-bld/nest_1512418852064/work/nest-2.12.0/testsuite/unittests/test_multimeter_stepping.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative